using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System;
using System.Collections.Generic;


namespace ActionGame.UserInterface.Control
{
    public interface IControl
    {
        void Update(GameTime gameTime);
        void Draw(SpriteBatch spriteBatch, GameTime gameTime);

        IList<IControl> Controls { get; }
        Rectangle Location { get; set; }

        Boolean IsSelected { get; set; }
        Boolean IsSelectable { get; }

        void Press(GameTime gameTime);
    }
}
